Overclock.net › Forums › Software, Programming and Coding › Operating Systems › Linux, Unix › Open Suse 11.4 ...Libre error "Your java is outdated you need new version"...
New Posts  All Forums:Forum Nav:

Open Suse 11.4 ...Libre error "Your java is outdated you need new version"...

post #1 of 17
Thread Starter 
So how do I get a new version of Java?
I'm running this in a vm and first time opening Libre, it gives me java outdated and crashes.
I searched around and don't find this listed anywhere as an issue.
I've installed a lot distros but spend most of the time figuring out why stuff breaks.
Not entirely versed in how to patch an install. Any help appreciated.
Cheap Game Rig
(14 items)
 
  
CPUMotherboardGraphicsRAM
i5-3570k Biostar TZ77XE4 770 GTX Twin Frozer Corsair Vengeance 
Hard DriveOptical DriveOSMonitor
Kingston Hyper X LG Generic Windows 7 Dell Ultrasharp U2412 
KeyboardPowerCaseMouse
Various Xigamatek 650 Corsair 300r Logitech MX518 
Mouse PadAudio
Razer Exactmat Native Instruments Audio Kontrol 1 
  hide details  
Reply
Cheap Game Rig
(14 items)
 
  
CPUMotherboardGraphicsRAM
i5-3570k Biostar TZ77XE4 770 GTX Twin Frozer Corsair Vengeance 
Hard DriveOptical DriveOSMonitor
Kingston Hyper X LG Generic Windows 7 Dell Ultrasharp U2412 
KeyboardPowerCaseMouse
Various Xigamatek 650 Corsair 300r Logitech MX518 
Mouse PadAudio
Razer Exactmat Native Instruments Audio Kontrol 1 
  hide details  
Reply
post #2 of 17
It's been a few years since I used Suse , but first try Yast and see if it has any updates. You could download java and manually install it , if it's a rpm then "rpm -i javaxxxx.rpm" and tar.gz then uncompress with "tar xvzf javaxxx.tar.gz" . you may need to configure / make / make install, please do go through the install/readme file with the download. and ".bin' file sh or chmod 755 javaxxx.xx and then run ./javaxxx.xx

http://www.java.com/en/download/help/linux_install.xml
Edited by ironmaiden - 1/18/12 at 6:01pm
SR71
(17 items)
 
  
CPUMotherboardGraphicsRAM
AMD Phenom II X4 960T GA-880GM-USB3 AMD Radeon HD 7750 2GB DDR3 Series Hyundai Electronics  
RAMRAMHard DriveOptical Drive
Hyundai Electronics  Hyundai Electronics  WD 360 GB / 160 GB Sony 
CoolingOSMonitorKeyboard
Cooler Master Hyper TX3 (Push & Pull) Win 7 64 bit / Suse 12.1 64 Acer 20 " Led Wide Logitech 
PowerCaseMouseMouse Pad
VIP Gold 500w Cooler Master Elite 370 Logitech My Underwear 
Audio
Altec Lansing AVS300 / Altec Lansing BXR1121 
  hide details  
Reply
SR71
(17 items)
 
  
CPUMotherboardGraphicsRAM
AMD Phenom II X4 960T GA-880GM-USB3 AMD Radeon HD 7750 2GB DDR3 Series Hyundai Electronics  
RAMRAMHard DriveOptical Drive
Hyundai Electronics  Hyundai Electronics  WD 360 GB / 160 GB Sony 
CoolingOSMonitorKeyboard
Cooler Master Hyper TX3 (Push & Pull) Win 7 64 bit / Suse 12.1 64 Acer 20 " Led Wide Logitech 
PowerCaseMouseMouse Pad
VIP Gold 500w Cooler Master Elite 370 Logitech My Underwear 
Audio
Altec Lansing AVS300 / Altec Lansing BXR1121 
  hide details  
Reply
post #3 of 17
No experience with openSUSE but seems straight forward
http://tr.opensuse.org/Java

Open up the package manager, find java, install.
Mini Build
(9 items)
 
   
CPUMotherboardGraphicsRAM
intel i7 4790k Asrock z97-e  Sapphire R9 290X G Skills 
Hard DriveCoolingOSOS
Samsung EVO  EK Water Blocks Windows 7 Debian  
Case
Bitfenix Mini Colossus  
CPUMotherboardGraphicsRAM
Intel i5-480M OEM Acer Nvidia GeForce GT 540M 4 GB DDR3 
Hard DriveOptical DriveOS
500 GB HDD DVD Drive Crunchbang Linux, Windows 7, BlackBuntu (triple... 
  hide details  
Reply
Mini Build
(9 items)
 
   
CPUMotherboardGraphicsRAM
intel i7 4790k Asrock z97-e  Sapphire R9 290X G Skills 
Hard DriveCoolingOSOS
Samsung EVO  EK Water Blocks Windows 7 Debian  
Case
Bitfenix Mini Colossus  
CPUMotherboardGraphicsRAM
Intel i5-480M OEM Acer Nvidia GeForce GT 540M 4 GB DDR3 
Hard DriveOptical DriveOS
500 GB HDD DVD Drive Crunchbang Linux, Windows 7, BlackBuntu (triple... 
  hide details  
Reply
post #4 of 17
Thread Starter 
That's what I get for not reading the manual I guess.
Somehow it started working and Yast shows Java 1.6 installed.
Now if I could just figure out why it's running so slow in general.
I understand vm takes a bite but with only one running on a quad, seem really slow.
Cheap Game Rig
(14 items)
 
  
CPUMotherboardGraphicsRAM
i5-3570k Biostar TZ77XE4 770 GTX Twin Frozer Corsair Vengeance 
Hard DriveOptical DriveOSMonitor
Kingston Hyper X LG Generic Windows 7 Dell Ultrasharp U2412 
KeyboardPowerCaseMouse
Various Xigamatek 650 Corsair 300r Logitech MX518 
Mouse PadAudio
Razer Exactmat Native Instruments Audio Kontrol 1 
  hide details  
Reply
Cheap Game Rig
(14 items)
 
  
CPUMotherboardGraphicsRAM
i5-3570k Biostar TZ77XE4 770 GTX Twin Frozer Corsair Vengeance 
Hard DriveOptical DriveOSMonitor
Kingston Hyper X LG Generic Windows 7 Dell Ultrasharp U2412 
KeyboardPowerCaseMouse
Various Xigamatek 650 Corsair 300r Logitech MX518 
Mouse PadAudio
Razer Exactmat Native Instruments Audio Kontrol 1 
  hide details  
Reply
post #5 of 17
@IM: The worst thing you could do is start trying to patch your own updates.

Suse is just like any other Linux distro - it's just instead of Debian packages or tar-ball binaries, it uses RPMs. Thus you just use Suse's package manager just like you would use apt-get in Debian / Ubuntu or pacman in Arch.
post #6 of 17
Open the package manager yast and type in "java JRE." See if everything is installed. I remember for LibreOffice it's Java JRE. Try that.
Main Rig.
(14 items)
 
Battlefield 2 review.
Battlefield 2 PC Game EA
 
CPUMotherboardGraphicsRAM
Bulldozer FX4100 Gigabyte GA-M68MT-S2 MSI 7770 Kingston Hyper X | 2 x 2 GB 
Hard DriveOptical DriveCoolingOS
WD 2 TB  LiteON DVD/CD R-W Drive AMD Standard cooler Windows 7 Ultimate 
MonitorKeyboardPowerCase
32' Luxor Full HD TV Microsoft comfort curce Antec 450 Watt OcUK Value case 
MouseAudio
Microsoft wireless mouse Logitech speakers & Bass 
  hide details  
Reply
Main Rig.
(14 items)
 
Battlefield 2 review.
Battlefield 2 PC Game EA
 
CPUMotherboardGraphicsRAM
Bulldozer FX4100 Gigabyte GA-M68MT-S2 MSI 7770 Kingston Hyper X | 2 x 2 GB 
Hard DriveOptical DriveCoolingOS
WD 2 TB  LiteON DVD/CD R-W Drive AMD Standard cooler Windows 7 Ultimate 
MonitorKeyboardPowerCase
32' Luxor Full HD TV Microsoft comfort curce Antec 450 Watt OcUK Value case 
MouseAudio
Microsoft wireless mouse Logitech speakers & Bass 
  hide details  
Reply
post #7 of 17
Quote:
Originally Posted by joshd View Post

Open the package manager yast and type in "java JRE." See if everything is installed. I remember for LibreOffice it's Java JRE. Try that.

JRE is just one of many Java run time environments. LibraOffice will work with either JRE or OpenJDK.

In an ideal world I'd recommend using OpenJDK over JRE as the former is open source and the latter is closed and owned by Oracle. In fact with LibreOffice being GPL and not under the control of Oracle, I would imagine it's more thoroughly tested against OpenJDK - but I'm just guessing here. However it doesn't really too much - in fact switching from one to the other could break other Java dependant systems (particularly if you don't know what you're doing).

I don't have a copy of OpenSuse to hand to find out which Java runtime environment it ships with by default, however it will either be one of the aforementioned two (OpenJDK or JRE) so just make sure that's up-to-date and don't start switching for the sake of it.
post #8 of 17
JRE got removed in version 12.1 due to licencing troubles. Unfortunately it isn't native to this forum but here is a guide to install it in OpenSUSE.
Main Rig.
(14 items)
 
Battlefield 2 review.
Battlefield 2 PC Game EA
 
CPUMotherboardGraphicsRAM
Bulldozer FX4100 Gigabyte GA-M68MT-S2 MSI 7770 Kingston Hyper X | 2 x 2 GB 
Hard DriveOptical DriveCoolingOS
WD 2 TB  LiteON DVD/CD R-W Drive AMD Standard cooler Windows 7 Ultimate 
MonitorKeyboardPowerCase
32' Luxor Full HD TV Microsoft comfort curce Antec 450 Watt OcUK Value case 
MouseAudio
Microsoft wireless mouse Logitech speakers & Bass 
  hide details  
Reply
Main Rig.
(14 items)
 
Battlefield 2 review.
Battlefield 2 PC Game EA
 
CPUMotherboardGraphicsRAM
Bulldozer FX4100 Gigabyte GA-M68MT-S2 MSI 7770 Kingston Hyper X | 2 x 2 GB 
Hard DriveOptical DriveCoolingOS
WD 2 TB  LiteON DVD/CD R-W Drive AMD Standard cooler Windows 7 Ultimate 
MonitorKeyboardPowerCase
32' Luxor Full HD TV Microsoft comfort curce Antec 450 Watt OcUK Value case 
MouseAudio
Microsoft wireless mouse Logitech speakers & Bass 
  hide details  
Reply
post #9 of 17
Quote:
Originally Posted by joshd View Post

JRE got removed in version 12.1 due to licencing troubles. Unfortunately it isn't native to this forum but here is a guide to install it in OpenSUSE.

If OpenJDK is included instead, then you wouldn't need to install JRE

[edit]

OpenJDK is included. So switching to JRE would be utterly pointless.
post #10 of 17
Quote:
Originally Posted by Plan9 View Post

If OpenJDK is included instead, then you wouldn't need to install JRE

I don't know. Although according to my Yahooing (does anyone else still use that?) people have reported LibreOffice not working on JDK and only working on JRE. If I remember correctly when I had SUSE I just went to Java's site, downloaded it and installed it (JRE that is).
Main Rig.
(14 items)
 
Battlefield 2 review.
Battlefield 2 PC Game EA
 
CPUMotherboardGraphicsRAM
Bulldozer FX4100 Gigabyte GA-M68MT-S2 MSI 7770 Kingston Hyper X | 2 x 2 GB 
Hard DriveOptical DriveCoolingOS
WD 2 TB  LiteON DVD/CD R-W Drive AMD Standard cooler Windows 7 Ultimate 
MonitorKeyboardPowerCase
32' Luxor Full HD TV Microsoft comfort curce Antec 450 Watt OcUK Value case 
MouseAudio
Microsoft wireless mouse Logitech speakers & Bass 
  hide details  
Reply
Main Rig.
(14 items)
 
Battlefield 2 review.
Battlefield 2 PC Game EA
 
CPUMotherboardGraphicsRAM
Bulldozer FX4100 Gigabyte GA-M68MT-S2 MSI 7770 Kingston Hyper X | 2 x 2 GB 
Hard DriveOptical DriveCoolingOS
WD 2 TB  LiteON DVD/CD R-W Drive AMD Standard cooler Windows 7 Ultimate 
MonitorKeyboardPowerCase
32' Luxor Full HD TV Microsoft comfort curce Antec 450 Watt OcUK Value case 
MouseAudio
Microsoft wireless mouse Logitech speakers & Bass 
  hide details  
Reply
New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: Linux, Unix
Overclock.net › Forums › Software, Programming and Coding › Operating Systems › Linux, Unix › Open Suse 11.4 ...Libre error "Your java is outdated you need new version"...